> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get VLR team transactions (v2)



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v2/esports/vlr/teams/{team_id}/transactions
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
  - name: premium
    description: Premium account and webhook endpoints
paths:
  /valorant/v2/esports/vlr/teams/{team_id}/transactions:
    get:
      tags:
        - valorant
      summary: Get VLR team transactions (v2)
      operationId: esports_team_transactions_v2
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: integer
            format: int32
            minimum: 0
      responses:
        '200':
          description: Esports team transactions retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EsportsV2TeamTransactionsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    EsportsV2TeamTransactionsResponse:
      type: object
      required:
        - status
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2TeamTransaction'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    EsportsV2TeamTransaction:
      type: object
      required:
        - action
        - player
        - position
      properties:
        action:
          type: string
        date:
          type:
            - string
            - 'null'
        player:
          $ref: '#/components/schemas/EsportsV2TransactionPlayer'
        position:
          type: string
        reference_url:
          type:
            - string
            - 'null'
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    EsportsV2TransactionPlayer:
      type: object
      required:
        - id
        - slug
        - alias
      properties:
        alias:
          type: string
        country_code:
          type:
            - string
            - 'null'
        id:
          type: integer
          format: int32
          minimum: 0
        real_name:
          type:
            - string
            - 'null'
        slug:
          type: string

````